<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="BankCellLogger"
	description="Обеспечивает логирование прикладных событий, происходящих в системе, и вывод их на экран в специальном окне журналирования"
	fileName="NPCFaceBankCellSimpleLogger.jar"
	className="org.mati.npc.components.bank.facebankcelllogger.NPCFaceBankCellSimpleLogger"
	version="9115" time="17.02.2009 01:04:56">

	<Group>Банковские депозитарные ячейки</Group>

	<!-- INLINKS -->
	<INLink name="InLoggerHandler" description="Связь с компонентом для логирования его работы"
		interfaceName="org.mati.npc.interfaces.bank.NPCBankCellLoggerHandler"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InSimpleLoggerHandler" description="Связь с компонентом для логирования его работы"
		interfaceName="org.mati.npc.components.interfaces.NPCSimpleLoggerHandler"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink description="Связь с компонентом контейнером"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" name="InFaceComponent" nullable="false">
	</INLink>

	<!-- ATTRIBUTES -->
	<Attribute name="PositionX" description="Координата левого верхнего угла по оси X"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY" description="Координата левого верхнего угла по оси Y"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина" type="java.lang.Integer"
		defaultValue="800"
		nullable="false">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота" nullable="false"
		defaultValue="600"
		type="java.lang.Integer">
	</Attribute>
	<Attribute
		description="Максимальное кол-во сообщений, которые будут отображаться в окне журналирования"
		defaultValue="20"
		nullable="false" type="java.lang.Integer" name="DisplayableMessagesCount">
	</Attribute>
	<Attribute description="Файл журнала событий" nullable="false"
		type="java.lang.String" name="LogFilePath" defaultValue="./log/FaceLogger/logger.log">
	</Attribute>
	<Attribute description="Имя логгера" nullable="false"
		type="java.lang.String" name="LoggerName" defaultValue="FaceLogger">
	</Attribute>

</ClassComponent>

